# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/spmi/hisilicon,hisi-spmi-controller.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: HiSilicon SPMI controller

maintainers:
  - Mauro Carvalho Chehab <mchehab+huawei@kernel.org>

description: |
  The HiSilicon SPMI BUS controller is found on some Kirin-based designs.
  It is a MIPI System Power Management (SPMI) controller.

  The PMIC part is provided by
  drivers/staging/hikey9xx/hisilicon,hi6421-spmi-pmic.yaml.

properties:
  $nodename:
    pattern: "spmi@[0-9a-f]"

  compatible:
    const: hisilicon,kirin970-spmi-controller

  reg:
    maxItems: 1

  spmi-channel:
    description: |
      number of the Kirin 970 SPMI channel where the SPMI devices are connected.

required:
 - compatible
 - reg
 - spmi-channel

patternProperties:
  "^pmic@[0-9a-f]$":
    description: |
      PMIC properties, which are specific to the used SPMI PMIC device(s).
      When used in combination with HiSilicon 6421v600, the properties
      are documented at
      drivers/staging/hikey9xx/hisilicon,hi6421-spmi-pmic.yaml.

examples:
  - |
    bus {
      #address-cells = <2>;
      #size-cells = <2>;

      spmi: spmi@fff24000 {
        compatible = "hisilicon,kirin970-spmi-controller";
        status = "ok";
        reg = <0x0 0xfff24000 0x0 0x1000>;
        spmi-channel = <2>;

        pmic@0 {
          /* pmic properties */
        };
      };
    };
